#include <iostream>

using namespace std;

int main() {

  int n,m;
  cin>>n>>m;
  int x[n],y[n],l[m],r[m],t[m];
  for(int i=0;i<n;i++){
    cin>>x[i]>>y[i];
  }
  for(int j=0;j<m;j++){
    cin>>l[j]>>r[j]>>t[j];
  }
  int br[m];
  for(int k=0;k<m;k++){
    int e=k;
    br[e]=0;
    for(int u=l[e];u<=r[e];u++){
      if(t[e]>=x[u] && t[e]<=y[u]){ 
        br[e]++;
      }
    }
  }
  for(int h=0;h<m;h++){
    cout<< br[h] <<endl;
  }
  return 0;
}